Installation

Requirements

WorldGuard requires a version of the Minecraft server that supports the Bukkit API, which includes CraftBukkit, MCPC+, Cauldron, and Spigot. The official Minecraft server is not supported.

The other requirement is the WorldEdit Bukkit plugin, a very lightweight in-game map editor, also made by us. Please note that you cannot use the Forge version of WorldEdit.

Note

Due to a controversy and the following legal debacle, you can no longer download the official Bukkit server. An alternative for Minecraft 1.8+ is the version provided by the Spigot team.

Installation

WorldGuard can be downloaded from the Bukkit dev site.

  1. In your server folder, create a “plugins” folder if one does not yet exist.
  2. Copy the WorldGuard .jar file into the plugins folder. (Make sure you get WorldEdit as well!)
  3. Start your server.

Check your server log for errors. If you encounter errors, see the FAQ page.